#!/usr/bin/python3
import os

import prototype
import numpy as np
import datetime
import json

basename = '2023_11_13-11_37_22_results'
temperatures = np.arange(10., 32.+1., 10.)
humidities = [55.]*len(temperatures)

measurement_appendicies = [str(t)+'deg_'+str(humidity)+'rh' for t, humidity in zip(temperatures, humidities)]

# reading json file for target accuracy
with open('test_stand_parameter.json', 'r') as f:
    config_data = json.load(f)

with open('ext_sensor_channels.json', 'r') as f2:
    ext_sensor_channels = json.load(f2)

time_string = 're-analysis at ' + str(datetime.datetime.now())
measurement_sets = ['1.3GHz', '0.108GHz', '0.216666666GHz', '0.4996643GHz', '3.0GHz', '3.9GHz']
reference_signal_names = ['S21_PHASE', 'S21_MAGNITUDE']

data_folder = os.path.join('measurements', basename)
os.chdir(data_folder)

prototype.plot_output(basename, measurement_appendicies, False, config_data, ext_sensor_channels,
                      measurement_sets,
                      reference_signal_names, basename + ': Temperature sweep ' + str(temperatures[0]) + ' degC to ' +
                      str(temperatures[-1]) + ' degC')
